/*
** mg_arr_char.h for  in 
** 
** Made by vianney rancurel
** Login   <vianney@epita.fr>
** 
** Started on  Wed Aug 25 12:08:11 1999 vianney rancurel
** Last update Thu Oct 28 20:18:22 1999 
*/
#ifndef MG_ARR_CHAR_H
#define MG_ARR_CHAR_H	1

#include "mg.h"

#define ARR_CHAR_BUF(Arr)	((char *)((Arr)->elts))

/* PROTO mg_arr_char.c */
/* mg_arr_char.c */
t_status arr_char_add_buf P((t_arr *arr, char *buf, int len));
t_status arr_char_add_zeros P((t_arr *arr, int len));
t_status arr_char_extract_from P((t_arr *arr, t_off off));
#endif
